Skip to main content
GET
/
api
/
v1
/
phone-numbers
/
search
Search numbers available to buy
curl --request GET \
  --url https://{subdomain}.mihu.ai/api/v1/phone-numbers/search \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{subdomain}.mihu.ai/api/v1/phone-numbers/search"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{subdomain}.mihu.ai/api/v1/phone-numbers/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "data": [
      {
        "number": "<string>",
        "country_code": "<string>",
        "type": "<string>",
        "location": "<string>",
        "capabilities": {},
        "billing": {
          "monthly_fee": 123,
          "currency": "<string>"
        },
        "compliance_required": true,
        "available": true
      }
    ],
    "meta": {
      "count": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Query Parameters

country_code
string
required
Example:

"US"

type
enum<string>
Available options:
local,
toll_free,
mobile,
national
area_code
string
Example:

"415"

contains
string
starts_with
string
limit
integer
default:50
Required range: x <= 100

Response

Success

success
boolean

Indicates whether the request completed successfully. True for successful responses; false for documented error responses.

data
object